import { ApiCall } from "tsrpc";
import { RedisCollections2 } from '../../module/redis';
import { ReqGetList, ResGetList } from "../../shared/protocols/item/PtlGetList";
import { getItemList } from "../../public/item";

export default async function (call: ApiCall<ReqGetList, ResGetList>) {
    let list = await getItemList(call.uid);
    call.succ({
        list: list
    });
}